summaryrefslogtreecommitdiff
path: root/sys/arch/hp300/stand/installboot.sh
diff options
context:
space:
mode:
authorTheo de Raadt <deraadt@cvs.openbsd.org>1995-10-18 08:53:40 +0000
committerTheo de Raadt <deraadt@cvs.openbsd.org>1995-10-18 08:53:40 +0000
commitd6583bb2a13f329cf0332ef2570eb8bb8fc0e39c (patch)
treeece253b876159b39c620e62b6c9b1174642e070e /sys/arch/hp300/stand/installboot.sh
initial import of NetBSD tree
Diffstat (limited to 'sys/arch/hp300/stand/installboot.sh')
-rw-r--r--sys/arch/hp300/stand/installboot.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/sys/arch/hp300/stand/installboot.sh b/sys/arch/hp300/stand/installboot.sh
new file mode 100644
index 00000000000..a5605dfa416
--- /dev/null
+++ b/sys/arch/hp300/stand/installboot.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+# $NetBSD: installboot.sh,v 1.2 1994/10/26 07:27:26 cgd Exp $
+
+# compatibility with old installboot program
+#
+# @(#)installboot.sh 8.1 (Berkeley) 6/10/93
+#
+if [ $# != 2 ]
+then
+ echo "Usage: installboot bootprog device"
+ exit 1
+fi
+if [ ! -f $1 ]
+then
+ echo "Usage: installboot bootprog device"
+ echo "${1}: bootprog must be a regular file"
+ exit 1
+fi
+if [ ! -c $2 ]
+then
+ echo "Usage: installboot bootprog device"
+ echo "${2}: device must be a char special file"
+ exit 1
+fi
+/sbin/disklabel -B -b $1 $2
+exit $?